package PktDump::Analyser::PPPiface;

use strict;
use warnings;

use base qw( PktDump::Analyser );

use constant HATYPE => 512;

sub analyse
{
    my $self = shift;
    my ( $pkt, $opts, $outer ) = @_;

    # This linktype has no extra headers. It just wraps based on the ethertype
    # given by the PF_PACKET address
    return PktDump::Analyser->for_ethertype( $outer->{proto} )->analyse( $pkt, $opts, $outer );
}

sub hdrlen { 0 }

1;
